Skip to main content
POST
/
feature-flags
/
{siteCode}
/
{featureKey}
/
duplicate
Duplicate a feature flag configuration
curl --request POST \
  --url https://api.kameleoon.com/feature-flags/{siteCode}/{featureKey}/duplicate
{
  "featureKey": "<string>",
  "id": 123,
  "name": "<string>",
  "siteCode": "<string>",
  "archived": true,
  "attributionWindow": 123,
  "bucketingKey": {
    "customDataId": 123
  },
  "createdById": 123,
  "dateContentModified": "2023-11-07T05:31:56Z",
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "environmentConfigurations": [
    {
      "dateModified": "2023-11-07T05:31:56Z",
      "defaultVariationKey": "<string>",
      "environmentKey": "<string>",
      "featureEnabled": true,
      "integrations": {
        "deliveryRules": "<array>",
        "experimentRules": "<array>"
      },
      "rolloutRules": [
        {
          "experimentId": 123,
          "id": 123,
          "name": "<string>",
          "release": {
            "releaseFrom": "2023-11-07T05:31:56Z",
            "releaseTo": "2023-11-07T05:31:56Z",
            "timeZone": "Europe/Paris"
          },
          "rollbackConditions": [
            {
              "goalId": 123,
              "id": 123,
              "matchValue": 50,
              "recipients": [
                "<string>"
              ],
              "visitors": 1000
            }
          ],
          "segmentId": 123,
          "trafficAllocations": [
            {
              "exposition": 123,
              "variationId": 123,
              "variationKey": "<string>"
            }
          ],
          "controlVariationKey": "<string>",
          "exposition": 50,
          "multiArmedBandit": true
        }
      ]
    }
  ],
  "primaryGoalId": 123,
  "secondaryGoalIds": [
    123
  ],
  "tags": [
    "<string>"
  ],
  "teamId": 123,
  "variables": [
    {
      "key": "<string>",
      "value": "<string>",
      "allowedValues": [
        "<string>"
      ]
    }
  ],
  "variations": [
    {
      "key": "<string>",
      "name": "<string>",
      "variables": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}

Path Parameters

siteCode
string
required
Required string length: 10
featureKey
string
required
Minimum string length: 1

Response

Created

Configuration for the feature flag

featureKey
string
required

Key used to identify the feature flag

Required string length: 1 - 255
id
integer<int32>
required
read-only

System-generated unique string of integers to identify a feature flag

name
string
required

Name of the feature flag

Required string length: 1 - 100
siteCode
string
required

Unique Id for the project in the Kameleoon app. This is an optional field to be included as query parameters

Required string length: 1 - 10
archived
boolean
attributionWindow
integer<int64>

Attribution window

bucketingKey
object

Bucketing key used for the feature flag

createdById
integer<int32>
read-only

Created by id

dateContentModified
string<date-time>
read-only

Date and time when the feature flag configuration content was last modified

dateCreated
string<date-time>
read-only

Date and time when the feature flag configuration was created

dateModified
string<date-time>
read-only

Date and time when the feature flag configuration was last modified

description
string

Description of the feature

Maximum string length: 5000
environmentConfigurations
object[]

Environment-specific configurations for the feature flag

health
enum<string>
read-only

Health of the feature flag (for temporary ones)

Available options:
PERMANENT,
HEALTHY,
STALE,
OUTDATED
primaryGoalId
integer<int32>

Primary goal of the feature flag

secondaryGoalIds
integer<int32>[]

Secondary goals associated with the feature flag

Secondary goals associated with the feature flag

tags
string[]

List of tags associated with the feature flag. This is an optional field to be included as query parameters

List of tags associated with the feature flag. This is an optional field to be included as query parameters

teamId
integer<int64>
read-only

Team id

variables
object[]

Variables associated with the feature flag

variations
object[]

Variations associated with the feature flag